site_name: "Gear - File Classifier"
repo_url: https://gitlab.com/flywheel-io/scientific-solutions/gears/file-classifier.git
edit_uri: ""
site_dir: public
plugins:
  - search
  - minify:
      minify_html: true
  - gen-files:
      scripts:
        - docs/get_ref_pages.py
  - literate-nav:
      nav_file: summary.md
  - mkdocstrings:
      default_handler: python
      handlers:
        python:
          paths: [fw_gear_file_classifier]
  - glightbox
nav:
  - Overview: overview.md
  - Gear Details: details.md
  - Usage & Workflow: usages.md
  - FAQ: faqs.md
  - Release Notes: release_notes.md
  - API Reference: reference/
theme:
  name: material
  favicon: assets/images/trademark.svg
  logo: assets/images/logo.svg
  custom_dir: docs/overrides
  features:
    - navigation.indexes
    - content.code.annotate
  palette:
    - accent: amber
      scheme: slate
      toggle:
        icon: material/lightbulb-outline
        name: Switch to light mode
    - accent: amber
      scheme: default
      toggle:
        icon: material/lightbulb
        name: Switch to dark mode
extra:
  homepage: https://docs.flywheel.io
extra_css:
  - https://cdn.flywheel.io/static/mkdocs/stylesheets/custom.css
  - https://cdn.flywheel.io/static/mkdocs/stylesheets/asciinema-player.css
  - https://cdn.flywheel.io/static/mkdocs/stylesheets/asciinema-theme.css
extra_javascript:
  - https://cdn.jsdelivr.net/npm/ansi_up@5.1.0/ansi_up.min.js
  - https://cdn.flywheel.io/static/mkdocs/javascripts/ansi-renderer.js
  - https://cdn.flywheel.io/static/mkdocs/javascripts/asciinema-player.js
markdown_extensions:
  - pymdownx.highlight
  - pymdownx.inlinehilite
  - pymdownx.superfences
  - pymdownx.snippets
  - pymdownx.details
  - admonition
  - mdx_truly_sane_lists
